Overview
========
The EVTG demo application demonstrates the use of IO and EVTG peripherals.
The example Use the two IO as the input of the EVTG function: EVTG_OUT = (IO0 & IO1).
When IO0 and IO1 are both high level, the EVTG_OUT is high level.
When any of IO is low level, the EVTG_OUT is low level.
The purpose of this demonstration is to show how to use the EVTG driver in the SDK software.

SDK version
===========
- Version: 2.16.000

Toolchain supported
===================
- IAR embedded Workbench  9.60.1
- Keil MDK  5.39.0
- GCC ARM Embedded  13.2.1

Hardware requirements
=====================
- Type-C USB cable
- FRDM-MCXN236 board
- Personal Computer

Board settings
==============

```
EVTG_OUT = EXT_TRIG_OUT0 P1_2 J6-5
IO0      = EXT_TRIG_IN0 P1_0 J6-6
IO1      = EXT_TRIG_IN1 P1_1 J6-4
```

Prepare the Demo
================
1. Connect the type-c and mini USB cable between the PC host and the USB ports on the board.
2. Open a serial terminal on PC for the serial device with these settings:
    - 115200 baud rate
    - 8 data bits
    - No parity
    - One stop bit
    - No flow control
3. Download the program to the target board.
4. Either press the reset button on your board or launch the debugger in your IDE to begin running
   the demo.

Running the demo
================

The log below shows the output of the EVTG demo in the terminal window:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
EVTG project.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

When IO0 and IO1 are both high level, the EVTG_OUT is high level.
When any of IO is low level, the EVTG_OUT is low level.
